<script setup lang="ts">
  withDefaults(
    defineProps<{
      label: string;
      hasValue?: boolean;
    }>(),
    {
      hasValue: false,
    },
  );
</script>
<template>
  <SwDropdownMenu :close-on-selected="false" :fit-panel="true">
    <template #trigger-button="{ open }">
      <button
        type="button"
        class="focus:(ring-primary ring-2) text-(left sm) ring-(1 inset gray-300) relative w-full cursor-default cursor-pointer rounded-md bg-white py-2 pl-3 pr-10 shadow outline-2"
      >
        <span
          :class="[
            hasValue ? 'text-information font-medium' : 'text-information-subdued font-normal',
            'block truncate first-letter:capitalize',
          ]"
        >
          {{ label }}
        </span>
        <span class="pointer-events-none absolute inset-y-0 right-0 flex items-center pr-3">
          <slot name="icon">
            <span
              :class="[
                'i-sw-regular:chevron-down-xs text(darkgray-600 [1.5rem])',
                { 'rotate-180': open },
              ]"
            />
          </slot>
        </span>
      </button>
    </template>

    <template #content>
      <div class="max-h-64 overflow-y-scroll">
        <slot name="content" />
      </div>
    </template>
  </SwDropdownMenu>
</template>
